<?php // Add jQuery scripts to the theme

add_action( 'wp_enqueue_scripts', 'jqdemo_load_javascript_files' );

function jqdemo_load_javascript_files() {

  wp_register_script( 'jquery-hover-pulse', get_stylesheet_directory_uri() . '/js/jquery.hoverpulse.js', array('jquery'), '1.0.1', true );
  wp_register_script( 'jquery-hover', get_stylesheet_directory_uri() . '/js/hover.js', array('jquery','jquery-hover-pulse'), '1.0', true );
  wp_register_script( 'jquery-style', get_stylesheet_directory_uri().'/js/style.js', array('jquery'), '1.0', true );

  wp_enqueue_script( 'jquery-style' );
  
  if ( is_front_page() ) {
    wp_enqueue_script('jquery-hover');
  }

} ?>